| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyProfile_s.c File Reference
`#include "oyProfile_s.h"`
`#include "oyObject_s.h"`
`#include "oyranos_object_internal.h"`
`#include "oyProfile_s_.h"`
`#include "oyranos_devices_internal.h"`
`#include "oyranos_io.h"`
`#include "oyranos_icc.h"`
`#include "oyConfig_s_.h"`
`#include "oyProfileTag_s_.h"`

## Functions
OYAPI oyProfile_s *OYEXPORT | oyProfile_FromTaxiDB (oyOptions_s *options, oyObject_s object)
| look up a profile of a device from Taxi DB More...
OYAPI int OYEXPORT | oyProfile_Install (oyProfile_s *profile, oyOptions_s *options)
| Install a ICC profile. More...

## Detailed Description

[Template file inheritance graph] +-> oyProfile_s.template.c | +-> Base_s.c | +– oyStruct_s.template.c

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/12/20

## Function Documentation

OYAPI oyProfile_s* OYEXPORT oyProfile_FromTaxiDB | ( | oyOptions_s * | options,
|  | oyObject_s | object
| ) |  |

look up a profile of a device from Taxi DB

Function oyProfile_FromTaxiDB The function asks the online ICC Taxi DB for a profile. It is therefore blocking and can cause a serious delay before returning.

The TAXI_id option is expected to come from oyConfig_GetBestMatchFromTaxiDB() or oyDevicesFromTaxiDB().

Parameters

  [in] | options | - "TAXI_id" shall provide a string for device driver parameter selection
  [out] | profile | the resulting profile

Returns
  error

Version
  Oyranos: 0.3.3

Since
  2012/01/08 (Oyranos: 0.3.3)

Date
  2012/01/08

References oyOBJECT_OPTIONS_S, oyOptions_s::oyOptions_FindString(), and oyProfile_s::oyProfile_FromMem().

OYAPI int OYEXPORT oyProfile_Install | ( | oyProfile_s * | profile,
|  | oyOptions_s * | options
| ) |  |

Install a ICC profile.

Function oyProfile_Install Without options, the ICC profile will be installed into the users ICC profile path.

Parameters

  [in] | profile | the profile
  [in] | options | - "path" can provide a string for manual path selection "device" = "1" - write to device paths

Returns
  error
  - oyOK - success
  - >= 1 error
  - oyERROR_USER msg -> wrong or missing argument
  - oyERROR_DATA_WRITE msg -> path can not be written
  - oyERROR_DATA_AMBIGUITY msg -> "Profile already installed"
  - oyCORRUPTED msg -> profile not useable

Version
  Oyranos: 0.9.1

Date
  2012/11/13

Since
  2012/01/13 (Oyranos: 0.9.1)

1. construct a profile name

1.1 add user profile path name by default or custom from "path" option

1.2 for "device" = "1" option add xxx/devices/device_class_description_xxx/

1.3 add ".icc" suffix as needed

1. check if file or description name exists

1. open profile

3.1 write profile

References oyERROR_DATA_AMBIGUITY, oyERROR_DATA_READ, oyERROR_DATA_WRITE, oyERROR_USER, oyICCDeviceClassDescription(), oyNAME_DESCRIPTION, oyOBJECT_PROFILE_S, oyOptions_s::oyOptions_FindString(), oyProfile_s::oyProfile_FromFile(), oyProfile_s::oyProfile_GetMem(), oyProfile_s::oyProfile_GetSignature(), oyProfile_s::oyProfile_GetText(), oyProfile_s::oyProfile_Release(), and oySIGNATURE_CLASS.

Referenced by oyDeviceSetup().